import codeMirror from 'codemirror';
import parser from './parser';
codeMirror.registerHelper('lint', 'json', function (text) {
  var found = [];

  if (!text.trim()) {
    // 没有内容的时候不要有错误提示
    return found;
  } // @ts-ignore


  parser.parseError = function (message, hash) {
    var loc = hash.loc;
    found.push({
      from: codeMirror.Pos(loc.firstLine - 1, loc.firstColumn),
      // eslint-disable-line new-cap
      to: codeMirror.Pos(loc.lastLine - 1, loc.lastColumn),
      // eslint-disable-line new-cap
      message: message
    });
  };

  try {
    parser.parse(text);
  } catch (err) {// ignore
  }

  return found;
});